[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'unicodedata' (#rtl)

# RegisterCollation

Register a new collation

## Declaration

Source position: unicodedata.pas line 545

`function RegisterCollation(`
`const ACollation: PUCA_DataBook`
`):Boolean; overload; function RegisterCollation(`
`const ACollation: PUCA_DataBook;`
`const AAliasList: array of UnicodeString`
`):Boolean; overload; function RegisterCollation(`
`ADirectory: UnicodeString;`
`ALanguage: UnicodeString`
`):Boolean; overload;`

## Arguments

`ACollation` |  | Pointer to collation data in memory

## Function result

True if the collation is registered correctly.

## Arguments

`ACollation` |  | Pointer to collation data in memory

## Arguments

`ADirectory` |  | Directory to search for ALanguage collation data.
`ALanguage` |  | Name of language data.

## Description

RegisterCollation registers a new collation ACollation in the list of known collations. The collation data can be specified directly (ACollation) or a name of a language (ALanguage) in a directory (ADirectory). The latter option will load the binary encoded collation from file using LoadCollation.

If the collation is loaded correctly, True is returned, otherwise False is returned (for instance when a collation with the same name is already loaded).

## See also

UnRegisterCollation |  | Remove a collation from the list of known collections.
UnRegisterCollations |  | Unregister all collations.
LoadCollation |  | Load a binary collation data file from file